<?session_start();

//RESTRICCIÓN DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL)
if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}

if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');
include ("fphp.php");
$enlace=cargar_conexion();
$consulta=mysql_query("select * from periodo where id='".$_SESSION['id_validar']."' order by nomina,periodo desc limit 1");
if (mysql_num_rows($consulta)!=0){
	$row=mysql_fetch_array($consulta);
	$per=mostrar_fecha($row['desde']).' al '.mostrar_fecha($row['hasta'])." (Nom:".$row['nomina'].")";
} else $per='';

require('fpdf.php');
class PDF extends FPDF {
	function Header()
	{
		$this->Image($_SESSION['logo_validar'],15,6,40,30);
		
		$this->Ln(20);
		$this->SetFont('arial','B',12);
		$this->Cell(8);
		$this->Cell(15,5,$_SESSION['empresa_validar'],0,0,'L');
		$this->SetFont('arial','',8);
		$this->Cell(0,5,'Fecha: '.hoy(),0,1,'R');
		$this->Cell(8);
		$this->Cell(15,5,'Rif: J-41318346-3',0,0,'L'); 
		$this->Cell(0,5,'Hora: '.hora(),0,1,'R');
		$this->Ln(2);$this->Cell(8);
		$this->Cell(0,5,"Periodo del: ".substr($_POST['per1'],6,10)." al ".substr($_POST['per2'],6,10),0,1,'R');
		$this->Ln(3);

	}
	function Footer()
	{
		$this->SetY(-20);
		$this->Cell(0,0,'',1,1,'C');
		$this->SetFont('Times','I',8);
		$this->Cell(0,0,$_POST['pie'],0,1,'C');
		$this->Cell(0,10,utf8_decode(' Página ').$this->PageNo().'/{nb} ',0,0,'C');
	}
	function titulos($header,$w,$tittle,$space){
	
		$this->SetFont('arial','B',12);		
		$this->Cell(0,5,$tittle,0,0,'C');
		$this->Ln(5);
		$this->SetFillColor(65, 105, 225);
		$this->SetTextColor(255);
		$this->SetDrawColor(65, 105, 225);
		$this->SetLineWidth(.3);
		$this->SetFont('','B',10);	
		// Header
		$this->Cell($space);
		for($i=0;$i<count($header);$i++){
			$alineacion = 'C';
			if(is_numeric($header[$i]))
				{
					$alineacion = 'R';
					$header[$i] = number_format($header[$i],2,',','.');

				}
			$this->Cell($w[$i],7,utf8_decode($header[$i]),0,0,$alineacion,true);
		}
		$this->Ln();
		$this->SetFillColor(224,235,255);
		$this->SetTextColor(0);
		$this->SetFont('','',10);

    }
	function Tabla($header, $data, $w, $tittle,$space,$totales)	{
	
			$fill = false;
			$this->titulos($header,$w,$tittle,$space);
			$rowCount=0;
			while ($row=mysql_fetch_row($data)) {				
				if ($rowCount%20==0 && $rowCount){
					$this->AddPage();	
					$this->titulos($header,$w,$tittle,$space);			
				}				
				$this->Cell($space);
				for($i=0;$i<count($header);$i++){
					$aligment = 'C';
                    
					if (is_numeric($row[$i]))	{
						$aligment = 'R';
                        $row[$i] = number_format($row[$i],2,',','.');
						
					}
					$this->Cell($w[$i],6,$row[$i],0,0,$aligment,$fill);
					
				}
				$this->Ln();
				$fill = !$fill;
				$rowCount++;
			}

			$this->titulos($totales,$w,'',$space);
	}
}

/////////////////////GENERAR ARCHIVO COSTO LABORAL 11/05/2020 -- Miguelangel

if ($_POST['treporte']==1) {
 	$query='';
 	//if ($_POST['nomina']!='') 
	 
		//Consulto datos de la empresa para operarlos
			$query22="SELECT duti, dbon, dvac FROM empresa WHERE id = '".$_SESSION['id_validar']."'";
			$resultado22 = mysql_query($query22);
			$row_empresa = mysql_fetch_array($resultado22);
			$valor_duti = $row_empresa['duti'];
			$valor_dbon = $row_empresa['dbon'];
			$valor_dvac = $row_empresa['dvac'];
			
			$alic_duti_diar = $valor_duti / 360;
			$alic_dbon_diar = $valor_dbon / 360;
			$alicuotas = $alic_duti_diar + $alic_dbon_diar ;
			
			$fraccion_provis_vaca = $valor_dvac / 360 * 30 ;
			$fraccion_provis_bonoVaca = $valor_dbon / 360 * 30 ;
		
		//Consulto la tasa de interes ultima 
			$query33="SELECT mon FROM tab_interes WHERE fec = '".substr($_POST['per1'],0,10)."' OR fec <= '".substr($_POST['per1'],0,10)."' ORDER BY fec DESC limit 1";
			$resultado33 = mysql_query($query33);
			$row_interes = mysql_fetch_array($resultado33);
			$tasa_interes_prestac = $row_interes['mon'] / 100 /360 * 30;
			

			
		
		$query .= "personal.nomina = '".substr($_POST['per1'],13,3)."' ";
 		//$consulta = "select * from personal where id='".$_SESSION['id_validar']."' and status<>'I' $query order by codigo";
		$consulta = "SELECT CONCAT(cedula,' ') AS cedula, CONCAT( personal.nombres, ' ', personal.nombres1, ' ', personal.apellidos, ' ', personal.apellidos1 ), CONCAT(costo_laboral.nomina,' ') AS nomina, personal.fechai,
		SUM(salario_mes) AS salario_mes, 
		(SUM(salario_mes) + (SUM(salario_mes)* '".$alicuotas."'))/30*5, 
		(SUM(salario_mes) + (SUM(salario_mes)* '".$alicuotas."'))/30*5*'".$tasa_interes_prestac."',
		SUM(salario_mes)*0.33333333, 
		SUM(salario_mes)/30*'".$fraccion_provis_vaca."',
		SUM(DATEDIFF('".substr($_POST['per2'],0,10)."' , personal.fechai)/360/12*salario_mes/30)  as dias_adic_vac,		
		SUM(salario_mes)/30*'".$fraccion_provis_bonoVaca."',
		SUM(salario_mes)/30*15/12
		FROM costo_laboral AS costo_laboral JOIN personal AS personal ON personal.codigo = costo_laboral.cedula  WHERE costo_laboral.fecha_pago >= '".substr($_POST['per1'],0,10)."' AND costo_laboral.fecha_pago <='".substr($_POST['per2'],0,10)."' AND costo_laboral.cedula=personal.codigo AND costo_laboral.id=personal.id AND costo_laboral.id=".$_SESSION['id_validar']." AND costo_laboral.nomina!='300' GROUP BY cedula  order by cedula,periodo";
		$resultado = mysql_query($consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysql_error());
        $consulta = "SELECT 
		SUM(salario_mes) AS salario_mes, 
		(SUM(salario_mes) + (SUM(salario_mes)* '".$alicuotas."'))/30*5, 
		(SUM(salario_mes) + (SUM(salario_mes)* '".$alicuotas."'))/30*5*'".$tasa_interes_prestac."',
		SUM(salario_mes)*0.33333333, 
		SUM(salario_mes)/30*'".$fraccion_provis_vaca."',
		SUM(DATEDIFF('".substr($_POST['per2'],0,10)."' , personal.fechai)/360/12*salario_mes/30)  as dias_adic_vac,		
		SUM(salario_mes)/30*'".$fraccion_provis_bonoVaca."',
		SUM(salario_mes)/30*15/12
		FROM costo_laboral AS costo_laboral JOIN personal AS personal ON personal.codigo = costo_laboral.cedula  WHERE costo_laboral.fecha_pago >= '".substr($_POST['per1'],0,10)."' AND costo_laboral.fecha_pago <='".substr($_POST['per2'],0,10)."' and costo_laboral.cedula=personal.codigo and costo_laboral.id=personal.id and costo_laboral.id=".$_SESSION['id_validar']." AND costo_laboral.nomina!='300'";
		$resultadoSum = mysql_query($consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysql_error());
		$sumMonto = mysql_fetch_row($resultadoSum);
		$totales = array(' ','Total',' ',' ',$sumMonto[0],$sumMonto[1],$sumMonto[2],$sumMonto[3],$sumMonto[4],$sumMonto[5],$sumMonto[6],$sumMonto[7]);
		$pdf=new PDF('L','mm',[216,475]);
		$pdf->AddPage();
		$pdf->AliasNbPages();
		$w=array(20,90,20,30,30,30,30,30,35,35,35,35);
		$space = (465 / 2) - (array_sum($w) / 2);
		$cabecera = array("Cedula","Nombre y Apellidos Trabajador","Nomina","Fecha Ingreso","Salario","Prestaciones","Inter_mes","Utilidades","Vacaciones","Dias_Adic_Vaca","Bono_Vacacional","Bono_Post_Vac");
		$pdf->SetFont('arial','B',12);
		$tittle = 'COSTO LABORAL x TRABAJADOR (Bs.)';
		$pdf->Ln(5);
		$pdf->Tabla($cabecera,$resultado,$w,$tittle,$space,$totales);
		$pdf->Output('Costo Laboral '.substr($_POST['per1'],0,10).'_'.substr($_POST['per2'],0,10).'.pdf','D');	
		exit();

			// // $cont=0;
			// // $data=array();
			// // $cabecera=array("Cedula","Nombre y Apellidos Trabajador","Nomina","Periodo","Fecha_Ingreso","Salario(Bs)","Prestaciones(Bs)","Inter_mes(Bs)","Utilidades(Bs)","Vacaciones(Bs)","Dias_Adic_Vaca(Bs)","Bono_Vacacional(Bs)","Bono_Post_Vac(Bs)");
			// // $cabecera=implode(";",$cabecera);
			// // while ($row=mysql_fetch_row($resultado)) {
			// // 	$cont++;
			// // 	$data[]=implode(";",$row);
			// // }
			// // $data=implode("\n",$data);
			// // $arch="Costo_laboral.csv";
			// // header("Content-type: text/csv");
			// // header("Content-Disposition: attachment; filename=".$arch);
			// // header("Pragma: no-cache");
			// // header("Expires: 0");
			// // echo "Empresa: ".$_SESSION['empresa_validar']."\n";
			// // echo " \n";
			// // echo "Costo laboral calulado por trabajador \n";
			// // echo "\n";
			// // echo "Periodo del: ".substr($_POST['per1'],0,10)." al ".substr($_POST['per2'],0,10)."\n";
			// // echo "\n";

			// // echo $cabecera."\n";
			// // echo utf8_decode($data);

			// // exit();
}

if ($_POST['treporte']==2) {
	
 	$query='';
 	//if ($_POST['nomina']!='') 
	 
		//Consulto datos de la empresa para operarlos
			$query22="SELECT duti, dbon, dvac FROM empresa WHERE id = '".$_SESSION['id_validar']."'";
			$resultado22 = mysql_query($query22);
			$row_empresa = mysql_fetch_array($resultado22);
			$valor_duti = $row_empresa['duti'];
			$valor_dbon = $row_empresa['dbon'];
			$valor_dvac = $row_empresa['dvac'];
			
			$alic_duti_diar = $valor_duti / 360;
			$alic_dbon_diar = $valor_dbon / 360;
			$alicuotas = $alic_duti_diar + $alic_dbon_diar ;
			
			$fraccion_provis_vaca = $valor_dvac / 360 * 30 ;
			$fraccion_provis_bonoVaca = $valor_dbon / 360 * 30 ;
		
		//Consulto la tasa de interes ultima 
			$query33="SELECT mon FROM tab_interes WHERE fec = '".substr($_POST['per1'],0,10)."' OR fec <= '".substr($_POST['per1'],0,10)."' ORDER BY fec DESC limit 1";
			$resultado33 = mysql_query($query33);
			$row_interes = mysql_fetch_array($resultado33);
			$tasa_interes_prestac = $row_interes['mon'] / 100 /360 * 30;
			

			
		
		$query .= "personal.nomina = '".substr($_POST['per1'],13,3)."' ";
 		//$consulta = "select * from personal where id='".$_SESSION['id_validar']."' and status<>'I' $query order by codigo";
		$consulta = "SELECT CONCAT(costo_laboral.nomina,' ') AS nomina,
		SUM(salario_mes) AS salario_mes, 
		(SUM(salario_mes) + (SUM(salario_mes)* '".$alicuotas."'))/30*5, 
		(SUM(salario_mes) + (SUM(salario_mes)* '".$alicuotas."'))/30*5*'".$tasa_interes_prestac."',
		SUM(salario_mes)*0.33333333, 
		SUM(salario_mes)/30*'".$fraccion_provis_vaca."',
		SUM(DATEDIFF('".substr($_POST['per2'],0,10)."' , personal.fechai)/360/12*salario_mes/30) as dias_adic_vac,		
		SUM(salario_mes)/30*'".$fraccion_provis_bonoVaca."',
		SUM(salario_mes)/30*15/12
		FROM costo_laboral AS costo_laboral JOIN personal AS personal ON personal.codigo = costo_laboral.cedula  WHERE costo_laboral.fecha_pago >= '".substr($_POST['per1'],0,10)."' AND costo_laboral.fecha_pago <='".substr($_POST['per2'],0,10)."' and costo_laboral.cedula=personal.codigo and costo_laboral.id=personal.id and costo_laboral.id=".$_SESSION['id_validar']." AND costo_laboral.nomina!='300' GROUP BY costo_laboral.nomina ";
		$resultado = mysql_query($consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysql_error());
		$consulta = "SELECT 
		SUM(salario_mes) AS salario_mes, 
		(SUM(salario_mes) + (SUM(salario_mes)* '".$alicuotas."'))/30*5, 
		(SUM(salario_mes) + (SUM(salario_mes)* '".$alicuotas."'))/30*5*'".$tasa_interes_prestac."',
		SUM(salario_mes)*0.33333333, 
		SUM(salario_mes)/30*'".$fraccion_provis_vaca."',
		SUM(DATEDIFF('".substr($_POST['per2'],0,10)."' , personal.fechai)/360/12*salario_mes/30)  as dias_adic_vac,		
		SUM(salario_mes)/30*'".$fraccion_provis_bonoVaca."',
		SUM(salario_mes)/30*15/12
		FROM costo_laboral AS costo_laboral JOIN personal AS personal ON personal.codigo = costo_laboral.cedula  WHERE costo_laboral.fecha_pago >= '".substr($_POST['per1'],0,10)."' AND costo_laboral.fecha_pago <='".substr($_POST['per2'],0,10)."' and costo_laboral.cedula=personal.codigo and costo_laboral.id=personal.id and costo_laboral.id=".$_SESSION['id_validar']." AND costo_laboral.nomina!='300'";
		$resultadoSum = mysql_query($consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysql_error());
		$sumMonto = mysql_fetch_row($resultadoSum);
		$totales = array('Total',$sumMonto[0],$sumMonto[1],$sumMonto[2],$sumMonto[3],$sumMonto[4],$sumMonto[5],$sumMonto[6],$sumMonto[7]);

		
			$pdf=new PDF('L','mm',[210,297]);
			$pdf->AddPage();
			$pdf->AliasNbPages();
			$w=array(20,30,30,30,30,35,35,35,35);
			
			$space = (287 / 2) - (array_sum($w) / 2);
			$cabecera = array("Nomina","Salario","Prestaciones","Inter_mes","Utilidades","Vacaciones","Dias_Adic_Vaca","Bono_Vacacional","Bono_Post_Vac");
			$pdf->SetFont('arial','B',12);
			$tittle = 'RESUMEN PASIVOS LABORALES (Bs.)';
			$pdf->Ln(5);
			$pdf->Tabla($cabecera,$resultado,$w,$tittle,$space,$totales);
			$pdf->Output('Resumen pasivos.pdf','D');	
			exit();


		

		// // $cont=0;
		// // $data=array();
		// // $cabecera=array("Nomina","Salario(Bs)","Prestaciones(Bs)","Inter_mes(Bs)","Utilidades(Bs)","Vacaciones(Bs)","Dias_Adic_Vaca(Bs)","Bono_Vacacional(Bs)","Bono_Post_Vac(Bs)");
		// // $cabecera=implode(";",$cabecera);
		// // while ($row=mysql_fetch_row($resultado)) {
		// //      $cont++;
		// // 	 $data[]=implode(";",$row);
		// // }
		// // $data=implode("\n",$data);
		// // $arch="Pasivos_periodo.csv";
		// // header("Content-type: text/csv");
		// // header("Content-Disposition: attachment; filename=".$arch);
		// // header("Pragma: no-cache");
		// // header("Expires: 0");
		// // echo "Empresa: ".$_SESSION['empresa_validar']."\n";
		// // echo " \n";
		// // echo "Pasivos Labroales acumulados mensual \n";
		// // echo "\n";
		// // echo "Periodo del: ".substr($_POST['per1'],0,10)." al ".substr($_POST['per2'],0,10)."\n";
		// // echo "\n";

		// // echo $cabecera."\n";
		// // echo utf8_decode($data);

		// // exit();
}


?>
<html>
	<head><link rel='stylesheet' type='text/css' href='styles.css' />
	</head>
	<body>
		<?
		menu();
		?>
		<br><table border=0 cellpadding=0 cellspacing=0 width='100%'>
			<tr>
				<td  width='100%' align='left'><font size=2 color='black' face='verdana'>Empresa: <b><?echo $_SESSION['empresa_validar'];?></b>  - Per&iacute;odo: <b><font color=red><?echo $per;?></font></b>  -  Usuario: <b><?echo $_SESSION['nombre_validar'];?></b></font></td>
			</tr>
		</table><hr>
<?
	echo "<H1><center><font face='Verdana, Arial, Helvetica, sans-serif'>REPORTES DE PASIVOS LABORALES POR PERIODO</font></center></H1>";
	echo "<font face='verdana' size=2>";
	echo "
	<br><br><form name='entrada' action='".$_SERVER['PHP_SELF']."' target='blank' method='POST' enctype='multipart/form-data'>
	<table align='center'>";
			if ($per!='') {
					echo "<tr><td align='righta'>Per&iacute;odo Actual:</td>
						  <td align='left'><font color=red>".$per."</font></td>
						  </tr>";
			}
			echo "
				<tr><td align='righta'>Tipo de Archivo:</td>
				<td align='left'>
					<select style='width:300px;' name='treporte'>
						<option value='1'>Pasivos Laborales Detallado</option>
						<option value='2'>Pasivos Laborales Resumido</option>
						




					</select>
				</td>
				</tr>";
				

			$consulta = mysql_query("select * from periodo where id='".$_SESSION['id_validar']."' AND nomina='200' order by nomina,periodo DESC") or die ("select * from periodo order by nomina,periodo DESC");
			$numr = mysql_num_rows($consulta);
			echo "<td align = ''> <font color=red>Per&iacute;odo Desde: </font></td>";
			echo "<td align = 'left'> <select style='width:300px;' name = 'per1'>";
			for ($x=1;$x<=$numr;$x++) {
				$row1 = mysql_fetch_array($consulta);
				if ($x!=1) {
					echo "<option>".$row1['desde'];
				}
			}
			echo "</select>";
			echo "</td></tr>";

			$consulta = mysql_query("select * from periodo where id='".$_SESSION['id_validar']."' AND nomina='200' order by nomina,periodo DESC") or die ("select * from periodo order by nomina,periodo DESC");
			$numr = mysql_num_rows($consulta);
			echo "<td align = ''> <font color=red>Per&iacute;odo Hasta: </font></td>";
			echo "<td align = 'left'> <select style='width:300px;' name = 'per2'>";
			for ($x=1;$x<=$numr;$x++) {
				$row1 = mysql_fetch_array($consulta);
				if ($x!=1) {
					echo "<option>".$row1['hasta'];
				}
			}
			echo "</select>";
			echo "</td></tr>";
			
			/*
			echo "<tr>";
			$consulta="Select * from tablas where tabla=ucase('GERENCIA') and id='".$_SESSION['id_validar']."'  order by codigo,detalle";
			$consulta = mysql_query($consulta) or die ("no se pudo realizar la consulta...".$consulta.'='.mysql_error());
			$resultado = mysql_num_rows($consulta);
			echo "<td align = 'righta'> Gerencia: </td>";
			echo "<td align = 'left'> <select style='width:300px;' name = 'gerencia'><option>";
			if ($resultado != 0) {
				for ($i=0;$i<$resultado;$i++) {
					$row1 = mysql_fetch_array($consulta);
					echo "<option width = '30%'>".$row1['codigo']." - ".$row1['detalle'];
				}
			}
			echo "</select>";
			echo "</td>";
			echo "</tr>";
			*/
			
			
			/*
			echo "<tr>";
			$consulta="Select * from tablas where tabla=ucase('DIVISION') and id='".$_SESSION['id_validar']."' order by codigo,detalle";
			$consulta = mysql_query($consulta) or die ("no se pudo realizar la consulta...".$consulta.'='.mysql_error());
			$resultado = mysql_num_rows($consulta);
			echo "<td align = 'righta'> Divisi&oacute;n: </td>";
			echo "<td align = 'left'> <select style='width:300px;' name = 'division'><option>";
			if ($resultado != 0) {
				for ($i=0;$i<$resultado;$i++) {
					$row1 = mysql_fetch_array($consulta);
					echo "<option width = '30%'>".$row1['codigo']." - ".$row1['detalle'];
				}
			}
			echo "</select>";
			echo "</td>";
			echo "</tr>";

			echo "<tr>";
			*/
			
			$consulta="Select * from tablas where tabla=ucase('DEPARTAMENTO') and id='".$_SESSION['id_validar']."' order by codigo,detalle";
			$consulta = mysql_query($consulta) or die ("no se pudo realizar la consulta...".$consulta.'='.mysql_error());
			$resultado = mysql_num_rows($consulta);
			echo "<td align = 'righta'> Departamento: </td>";
			echo "<td align = 'left'> <select style='width:300px;' name = 'departamento'><option>";
			if ($resultado != 0) {
				for ($i=0;$i<$resultado;$i++) {
					$row1 = mysql_fetch_array($consulta);
					echo "<option width = '30%'>".$row1['codigo']." - ".$row1['detalle'];
				}
			}
			echo "</select>";
			echo "</td>";

			echo "<tr><td colspan='4' align='center'>";
			echo "<input name='ver' type='submit' style='margin-left:5px; height:35px; width:200px' value='GENERAR REPORTE'>";
			echo "</td></tr>";
			echo "</table></form></font>";
?>

	</body>
</html>
